Permalink
Fetching contributors…
Cannot retrieve contributors at this time
141 lines (79 sloc) 3.21 KB

@gov.au/page-alerts

Use page alerts to notify users of important information and state changes to the page.

Contents


Install

yarn add @gov.au/page-alerts
npm install @gov.au/page-alerts --save-dev

⬆ back to top


Usage

⬆ back to top


React

Usage:

import AUpageAlert from './page-alerts.js';

<AUpageAlert as='info'>
  Content of alert
</AUpageAlert>

All props:

<AUpageAlert
  as="info"         {/* One of four kinds: 'info', 'success', 'warning', 'error' */}
  alt={ false }     {/* An alternate variation of the component */}
  dark={ false }    {/* A dark variation of the component */}
>
  Content of alert
</AUpageAlert>

(πŸ’‘ additional props are spread onto the component)

For more details have a look at the usage example.

⬆ back to top


Dependency graph

page-alerts
β”œβ”€ core
└─ body
   └─ core

⬆ back to top


Tests

⬆ back to top


Release History

  • v2.0.8 - Update dependencies
  • v2.0.7 - Removing web pack dev server, updating dependencies
  • v2.0.6 - Fixed build scripts for Windows
  • v2.0.5 - Replace node-sass with sass
  • v2.0.4 - Change npm run watch browser-sync location
  • v2.0.3 - Update dependencies
  • v2.0.2 - Change homepage links
  • v2.0.1 - Fix dependencies
  • v2.0.0 - Change to focus colour and border/muted color mix
  • v1.0.0 - Moved to AU namespace, added new color themes and spacing
  • v0.3.0 - Added pancake-react plugin, ES5 main file
  • v0.2.0 - Added react component
  • v0.1.1 - Improved print styles
  • v0.1.0 - πŸ’₯ Initial version

⬆ back to top


License

Copyright (c) Commonwealth of Australia. Licensed under MIT.

⬆ back to top

};